Bug 7663 - batch add barcodes to a list
Summary: batch add barcodes to a list
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-07 15:24 UTC by Nicole C. Engard
Modified: 2017-05-23 16:58 UTC (History)
8 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 7663 - batch add barcodes to a list (6.39 KB, patch)
2016-12-01 11:56 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 7663 - batch add barcodes to a list (6.61 KB, patch)
2016-12-01 20:06 UTC, Chris Kirby
Details | Diff | Splinter Review
Bug 7663 - batch add barcodes to a list (6.61 KB, patch)
2016-12-01 22:07 UTC, Chris Kirby
Details | Diff | Splinter Review
Bug 7663 - batch add barcodes to a list (6.61 KB, patch)
2017-02-24 01:30 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 7663 (QA Followup) (1001 bytes, patch)
2017-02-24 01:30 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 7663 - batch add barcodes to a list (6.68 KB, patch)
2017-02-24 07:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7663 (QA Followup) (1.05 KB, patch)
2017-02-24 07:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7663: Fix bad merge conflict with bug 15584 (1.96 KB, patch)
2017-02-24 07:47 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-03-07 15:24:48 UTC
I would be nice if this page: /koha/virtualshelves/shelves.pl?viewshelf=13 had a bigger box so that you could add multiple barcodes at a time (like you can on label maker or the batch modification tool).
Comment 1 Nicole C. Engard 2016-03-29 19:02:54 UTC
Well, it's only 4 years later but I was just asked for this again :) hehe
Comment 2 Nick Clemens 2016-12-01 11:56:46 UTC
Created attachment 57855 [details] [review]
Bug 7663 - batch add barcodes to a list

This patch changes the barcode input on add list to a textarea and
process multiples barcodes to allow for adding many items to a list
at once

To test:
 1 - Create a list
 2 - Add some items
 3 - Verify items are added and success reported
 4 - Add these items again
 5 - Verify you are notified they were not added
 6 - Type invalid barcodes into the text area and submit
 7 - Verify you are notifed of failure to add
 8 - Try going to a list that doesn't exist and adding barcodes
  i.e. http://localhost:8081/cgi-bin/koha/virtualshelves/shelves.pl?op=add_biblio&shelfnumber=9999&barcodes=4
 9 - Verify correct error
10 - Try the above but with a list that exists while signed in as a patron
without lists permission
11 - Verfiy correct error
Comment 3 Chris Kirby 2016-12-01 20:06:53 UTC
Created attachment 57865 [details] [review]
Bug 7663 - batch add barcodes to a list

This patch changes the barcode input on add list to a textarea and
process multiples barcodes to allow for adding many items to a list
at once

To test:
 1 - Create a list
 2 - Add some items
 3 - Verify items are added and success reported
 4 - Add these items again
 5 - Verify you are notified they were not added
 6 - Type invalid barcodes into the text area and submit
 7 - Verify you are notifed of failure to add
 8 - Try going to a list that doesn't exist and adding barcodes
  i.e. http://localhost:8081/cgi-bin/koha/virtualshelves/shelves.pl?op=add_biblio&shelfnumber=9999&barcodes=4
 9 - Verify correct error
10 - Try the above but with a list that exists while signed in as a patron
     without lists permission:
     i.e. http://localhost:8080/cgi-bin/koha/opac-shelves.pl?op=view&shelfnumber=3
11 - Verfiy correct error: "You do not have permission to view this list."

Signed-off-by: Chris Kirby <chris.kirby@ilsleypubliclibrary.org>
Works as advertised.
Comment 4 Chris Kirby 2016-12-01 22:07:45 UTC
Created attachment 57868 [details] [review]
Bug 7663 - batch add barcodes to a list

This patch changes the barcode input on add list to a textarea and
process multiples barcodes to allow for adding many items to a list
at once

To test:
 1 - Create a list
 2 - Add some items
 3 - Verify items are added and success reported
 4 - Add these items again
 5 - Verify you are notified they were not added
 6 - Type invalid barcodes into the text area and submit
 7 - Verify you are notifed of failure to add
 8 - Try going to a list that doesn't exist and adding barcodes
  i.e. http://localhost:8081/cgi-bin/koha/virtualshelves/shelves.pl?op=add_biblio&shelfnumber=9999&barcodes=4
 9 - Verify correct error
10 - Try the above but with a list that exists while signed in as a patron
     without lists permission:
     i.e. http://localhost:8080/cgi-bin/koha/opac-shelves.pl?op=view&shelfnumber=3
11 - Verify correct error: "You do not have permission to view this list."

Signed-off-by: Chris Kirby <chris.kirby@ilsleypubliclibrary.org>
Works as advertised.
Comment 5 Jonathan Druart 2016-12-13 12:22:50 UTC
Nick, just a small concern: if you end with an empty line, you get "The item () does not exist". It seems easy to handle it.
Comment 6 Nick Clemens 2017-02-24 01:30:31 UTC
Created attachment 60627 [details] [review]
Bug 7663 - batch add barcodes to a list

This patch changes the barcode input on add list to a textarea and
process multiples barcodes to allow for adding many items to a list
at once

To test:
 1 - Create a list
 2 - Add some items
 3 - Verify items are added and success reported
 4 - Add these items again
 5 - Verify you are notified they were not added
 6 - Type invalid barcodes into the text area and submit
 7 - Verify you are notifed of failure to add
 8 - Try going to a list that doesn't exist and adding barcodes
  i.e. http://localhost:8081/cgi-bin/koha/virtualshelves/shelves.pl?op=add_biblio&shelfnumber=9999&barcodes=4
 9 - Verify correct error
10 - Try the above but with a list that exists while signed in as a patron
     without lists permission:
     i.e. http://localhost:8080/cgi-bin/koha/opac-shelves.pl?op=view&shelfnumber=3
11 - Verify correct error: "You do not have permission to view this list."

Signed-off-by: Chris Kirby <chris.kirby@ilsleypubliclibrary.org>
Works as advertised.
Comment 7 Nick Clemens 2017-02-24 01:30:43 UTC
Created attachment 60628 [details] [review]
Bug 7663 (QA Followup)

Ignore empty entries
Comment 8 Jonathan Druart 2017-02-24 07:46:52 UTC
Created attachment 60632 [details] [review]
Bug 7663 - batch add barcodes to a list

This patch changes the barcode input on add list to a textarea and
process multiples barcodes to allow for adding many items to a list
at once

To test:
 1 - Create a list
 2 - Add some items
 3 - Verify items are added and success reported
 4 - Add these items again
 5 - Verify you are notified they were not added
 6 - Type invalid barcodes into the text area and submit
 7 - Verify you are notifed of failure to add
 8 - Try going to a list that doesn't exist and adding barcodes
  i.e. http://localhost:8081/cgi-bin/koha/virtualshelves/shelves.pl?op=add_biblio&shelfnumber=9999&barcodes=4
 9 - Verify correct error
10 - Try the above but with a list that exists while signed in as a patron
     without lists permission:
     i.e. http://localhost:8080/cgi-bin/koha/opac-shelves.pl?op=view&shelfnumber=3
11 - Verify correct error: "You do not have permission to view this list."

Signed-off-by: Chris Kirby <chris.kirby@ilsleypubliclibrary.org>
Works as advertised.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2017-02-24 07:46:57 UTC
Created attachment 60633 [details] [review]
Bug 7663 (QA Followup)

Ignore empty entries

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2017-02-24 07:47:00 UTC
Created attachment 60634 [details] [review]
Bug 7663: Fix bad merge conflict with bug 15584

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Kyle M Hall 2017-03-03 18:18:36 UTC
Pushed to master for 17.05, thanks Nick, Jonathan!
Comment 12 Katrin Fischer 2017-03-12 23:02:22 UTC
This won't get ported back to 16.11.x as it is an enhancement.